gd_entry_type(3)

NAME
gd_entry_type — retrieve the type of a Dirfile field

SYNOPSIS
#include <getdata.h>

gd_entype_t gd_entry_type(const DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns the field type of the field specified by If contains a valid representation suffix, it will be ignored.

The gd_entype_t type is an enumerated type which may take any of the following values:

    GD_BIT_ENTRY, GD_CARRAY_ENTRY, GD_CONST_ENTRY, GD_DIVIDE_ENTRY, GD_INDEX_ENTRY, GD_INDIR_ENTRY, GD_LINCOM_ENTRY, GD_LINTERP_ENTRY, GD_MPLEX_ENTRY, GD_MULTIPLY_ENTRY, GD_PHASE_ENTRY, GD_POLYNOM_ENTRY, GD_RAW_ENTRY, GD_RECIP_ENTRY, GD_SARRAY_ENTRY, GD_SBIT_ENTRY, GD_SINDIR_ENTRY, GD_STRING_ENTRY, GD_WINDOW_ENTRY.

RETURN VALUE
Upon successful completion, returns the field type of the specified field. On error, returns GD_NO_ENTRY and stores a negative-valued error code in the DIRFILE object which may be retrieved by a subsequent call to Possible error codes are: The supplied dirfile was invalid. The field specified by was not found in the database.

A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.5.0.

In GetData-0.7.0, this function was renamed to

SEE ALSO
dirfile(5)